package com.hzya.frame.sys.productVersion.dao;

import com.hzya.frame.sys.productVersion.entity.SysProductVersion;

import java.util.List;


/**
 * @description: 产品版本表  dao
 * @tableName: sys_product_version
 * @entityName: SysProductVersion
 * @author: llg
 * @history:1.0
 */
public interface ISysProductVersionMapper {
        //通过ID获取数据    entity_get
        SysProductVersion entity_get(Integer id);

        //查询 采用==查询   entity_list_base
        List<SysProductVersion> entity_list_base(SysProductVersion SysProductVersion);

        //分页查询列表 采用like格式 entity_list_like
        List<SysProductVersion> entity_list_like(SysProductVersion SysProductVersion);

        //查询列表 字段采用or格式   entity_list_or
        List<SysProductVersion> entity_list_or(SysProductVersion SysProductVersion);

        //新增  entity_insert
        SysProductVersion entity_insert(SysProductVersion SysProductVersion);

        //修改  entity_update
        Integer entity_update(SysProductVersion SysProductVersion);

        //物理删除    entity_delete
        Integer entity_delete(SysProductVersion SysProductVersion);


        //物理删除    logicDelete_Multi_Condition
        Integer logicDelete_Multi_Condition(SysProductVersion SysProductVersion);


}
